NULL Pointer Dereference

Affecting imagemagick package, versions <8:6.9.7.4+dfsg-11+deb9u10

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

ImageMagick 7.0.7-1 and older version are vulnerable to null pointer dereference in the MagickCore component and might lead to denial of service

References

CVSS Score

6.5
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    None
  • Availability
    High
CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
CVE
CVE-2017-1000445
CWE
CWE-476
Snyk ID
SNYK-DEBIAN9-IMAGEMAGICK-400512
Disclosed
02 Jan, 2018
Published
02 Jan, 2018